#
# spec file for package sunpinyin
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sunpinyin
Version:        2.0.4+git20150706.cf18102
Release:        2.32
Summary:        A Statistical Language Model Based Chinese Input Method
License:        LGPL-2.1+
Group:          System/I18n/Chinese
Url:            https://github.com/sunpinyin/sunpinyin
Source:         %{name}-%{version}.tar.xz
Source1:        http://jaist.dl.sourceforge.net/project/open-gram/lm_sc.3gm.arpa-20140820.tar.bz2
Source2:        http://jaist.dl.sourceforge.net/project/open-gram/dict.utf8-20131214.tar.bz2
Source3:        sunpinyin-dictgen-local.mk.in
Patch0:         sunpinyin-aarch64.patch
#PATCH-FIX-UPSTREAM marguerite@opensuse.org do not download online
Patch1:         no-download.patch
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  pkg-config
BuildRequires:  python-devel
BuildRequires:  scons
BuildRequires:  sqlite3-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sunpinyin is a statistical language model based Chinese input method engine. to model the Chinese language, it use a backoff bigram and trigram language model.

%package -n lib%{name}3
Summary:        Libraries for Sunpinyin
Group:          System/Libraries

%description -n lib%{name}3
Sunpinyin is a statistical language model based Chinese input method engine. to model the Chinese language, it use a backoff bigram and trigram language model.

%package data
Summary:        Data files for Sunpinyin
Group:          System/I18n/Chinese

%description data
Sunpinyin is a statistical language model based Chinese input method engine. to model the Chinese language, it use a backoff bigram and trigram language model.

This package provides data files needed by it.

%package tools
Summary:        Dictionary tools for Sunpinyin
Group:          System/I18n/Chinese

%description tools
Sunpinyin is a statistical language model based Chinese input method engine. to model the Chinese language, it use a backoff bigram and trigram language model.

This package provides dictionary tools needed by it.

%package devel
Summary:        Development Files for Sunpinyin
Group:          Development/Libraries/Other
Requires:       lib%{name}3 = %{version}
Requires:       sunpinyin-tools = %{version}
Provides:       lib%{name}-devel = %{version}
Obsoletes:      lib%{name}-devel < %{version}

%description devel
Sunpinyin is a statistical language model based Chinese input method engine. to model the Chinese language, it use a backoff bigram and trigram language model.

This package provides development headers for it.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
cp -r %{SOURCE1} .
cp -r %{SOURCE2} .
cp -r %{SOURCE3} src

%build
export CXXFLAGS+="%{optflags}"
scons --prefix=%{_prefix}

%install
scons --prefix=%{_prefix} --libdir=%{_libdir} --install-sandbox=%{buildroot} install

# make dicts
src/sunpinyin-dictgen-local
mkdir -p %{buildroot}%{_datadir}/%{name}
install -m 0644 lm_sc.t3g %{buildroot}%{_datadir}/%{name}
install -m 0644 pydict_sc.bin %{buildroot}%{_datadir}/%{name}

# fix doc
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%post -n lib%{name}3 -p /sbin/ldconfig

%postun -n lib%{name}3 -p /sbin/ldconfig

%post -n %{name}-tools -p /sbin/ldconfig

%postun -n %{name}-tools -p /sbin/ldconfig

%files -n lib%{name}3
%defattr(-,root,root)
%doc AUTHORS NEWS LGPL.LICENSE doc/README doc/SLM-inst.mk doc/SLM-train.mk
%{_libdir}/lib%{name}.so.*

%files data
%defattr(-,root,root)
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/lm_sc.t3g
%{_datadir}/%{name}/pydict_sc.bin

%files tools
%defattr(-,root,root)
%{_bindir}/genpyt
%{_bindir}/getwordfreq
%{_bindir}/idngram_merge
%{_bindir}/ids2ngram
%{_bindir}/mmseg
%{_bindir}/slmbuild
%{_bindir}/slminfo
%{_bindir}/slmpack
%{_bindir}/slmprune
%{_bindir}/slmseg
%{_bindir}/slmthread
%{_bindir}/%{name}-dictgen
%{_bindir}/tslmendian
%{_bindir}/tslminfo
%{_mandir}/man1/genpyt.1.gz
%{_mandir}/man1/getwordfreq.1.gz
%{_mandir}/man1/idngram_merge.1.gz
%{_mandir}/man1/ids2ngram.1.gz
%{_mandir}/man1/mmseg.1.gz
%{_mandir}/man1/slmbuild.1.gz
%{_mandir}/man1/slminfo.1.gz
%{_mandir}/man1/slmpack.1.gz
%{_mandir}/man1/slmprune.1.gz
%{_mandir}/man1/slmseg.1.gz
%{_mandir}/man1/slmthread.1.gz
%{_mandir}/man1/tslmendian.1.gz
%{_mandir}/man1/tslminfo.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}-2.0/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}-2.0.pc

%changelog
* Sun Aug 23 2015 i@marguerite.su
- Update to version 2.0.4+git20150706.cf18102:
  + fix pod2man invocations
- drop sunpinyin-gcc47.patch, forgot to delete the file
- add patch: no-download.patch, don't download dicts online
* Sat Mar 23 2013 schwab@suse.de
- sunpinyin-aarch64.patch: get endianess for aarch64
* Sun Jun 24 2012 i@marguerite.su
- fix fedora builds.
* Mon Jun  4 2012 i@marguerite.su
- update version to 2.0.4git, to be compatible with latest fcitx.
- drop gcc47 patch. upstream fixed.
* Sat Mar 17 2012 zaitor@opensuse.org
- Add sunpinyin-gcc47.patch: Fix build with gcc 4.7.
* Thu Jan 26 2012 i@marguerite.su
- merge changelog
* Wed Jan 25 2012 i@marguerite.su
- initial package 2.0.4
* Sat Sep 10 2011 stecue@gmail.com
- Updated to 2.0.3.99. Thanks to csslayer!
* Mon Aug  1 2011 tiwai@suse.de
- Rename libsunpinyin3-devel to libsunpinyin-devel
- Add explicitly dependency from devel sub-package
- Clean up spec file
* Tue May 31 2011 stecue@gmail.com 2.0.3
- Check the license for open-gram.
- bz2ed all sources.
* Mon Feb 21 2011 hillwood<hillwood@linuxfans.org>
- First build 2.0.3 for suse and Fedora.
